Package com.sas.services.information.metadata

# Class IdFilter

java.lang.Object
com.sas.services.information.Filter
com.sas.services.information.metadata.IdFilter

All Implemented Interfaces:
  `FilterInterface`, `Serializable`

public class IdFilter extends Filter implements FilterInterface
This is a very specific class used to retrieve an object which the repository identifier is already known. Usually, a fetch would be done as this is a more efficient operation, but there are some instances where a search is deisrable. Also, this mechanism is used for the count operation which counts associated objects. In order to correctly use this class, use the constructor that sets the id string, or set it explicitly, and set the type, then perform the search normally.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.Filter

  `_component`

  ### Fields inherited from interface com.sas.services.information.FilterInterface

  `BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFilter()`
  `IdFilter(String identifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDavBasicSearchString()`
  `String`
  `getDAVSQLString()`
  Get the filter in the form of a DAV SQL request.
  `final String`
  `getIdString()`
  `String`
  `getLdapString()`
  `int`
  `getOMRFlags()`
  Get the flags to add to the OMI request.
  `String`
  `getXMLSelectString()`
  Get the filter in the form of an XMLSelect statement.
  `final void`
  `setIdString(String string)`

  ### Methods inherited from class com.sas.services.information.Filter

  `addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getOMRType, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.FilterInterface

  `addProtocol, addSearchOption, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRXPathString, getName, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getOMRType, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType`

- ## Constructor Details

  - ### IdFilter

    public IdFilter()

  - ### IdFilter

    public IdFilter(String identifier)

- ## Method Details

  - ### getIdString

    public final String getIdString()
    Returns:
      Returns the _idString.

  - ### setIdString

    public final void setIdString(String string)
    Parameters:
      `string` - The _idString to set.

  - ### getXMLSelectString

    public String getXMLSelectString()
    Get the filter in the form of an XMLSelect statement.

    Specified by:
      `getXMLSelectString` in interface `FilterInterface`
    Overrides:
      `getXMLSelectString` in class `Filter`
    Returns:
      An XMLSelect string to pass to OMR.

  - ### getOMRFlags

    public int getOMRFlags()
    Description copied from class: `Filter`
    Get the flags to add to the OMI request.

    Specified by:
      `getOMRFlags` in interface `FilterInterface`
    Overrides:
      `getOMRFlags` in class `Filter`
    Returns:
      The OMI flags.

  - ### getDavBasicSearchString

    public String getDavBasicSearchString()

  - ### getDAVSQLString

    public String getDAVSQLString()
    Description copied from class: `Filter`
    Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

    Specified by:
      `getDAVSQLString` in interface `FilterInterface`
    Overrides:
      `getDAVSQLString` in class `Filter`
    Returns:
      An XML DAV SQL request to pass to a DAV server.

  - ### getLdapString

    public String getLdapString()